#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-MailTools
Version		:	2.21
Release		:	17.2.0.rel%{?dist}
Summary		:	Sends mail using any of the built-in methods. 
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/MailTools/lib/Mail/Mailer.pod

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Sends mail using any of the built-in methods. As TYPE argument
to new(), you can specify any of: senamil, smtp, smtps, qmail.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README.md
%{_datadir}/perl5/core_perl/Mail/*.{pod,pm}
%{_datadir}/perl5/core_perl/Mail/Field/*.{pod,pm}
%{_datadir}/perl5/core_perl/Mail/Mailer/*.pm
%{_datadir}/perl5/core_perl/%{sname}.{pod,pm}
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export PERL_MM_USE_DEFAULT=1
%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
# Remove the Win32 module in order to avoid requiring perl(Win32API::Registry)
find %{buildroot} -type f -name Win32.pm -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog

